import Qt 4.7

Rectangle {
    id: aboutPage
    width: 100
    height: 62    

    gradient: Gradient {
        GradientStop { id: startGradient; position: 0.0; color: "#69D20B" }
        GradientStop { position: 1.0; color: Qt.darker(startGradient.color, 2.0) }
    }
    opacity: 0.8
    smooth: true


    Text {
        id: titleText
        anchors.horizontalCenter: parent.horizontalCenter
        y: 20
        text: "AnimalPairs"
        font.pointSize: 30
    }

    Text {
        id: versionText
        anchors.horizontalCenter: parent.horizontalCenter
        y: titleText.y + titleText.height
        font.pointSize: 15
        text: "Version 1.0"
    }

    Image {
        id: logo
        anchors.horizontalCenter: parent.horizontalCenter
        y: versionText.y + versionText.height + 100
        source: "images/saskenlogo.png"
        fillMode: Image.PreserveAspectFit
        width: 150
        smooth: true
    }

    Text {
        id: copyRight
        anchors.horizontalCenter: parent.horizontalCenter
        y: logo.y + logo.height + 30
        width: parent.width - 100
        font.pointSize: 15
        text: "Copyright 2011 Sasken Finland. All rights reserved."

        wrapMode: Text.WordWrap
    }


    Button {
        id: backButton
        text: "Back"
        anchors.horizontalCenter: parent.horizontalCenter
        y: parent.height - 30 - height
        width: 200
        height: 100
        gradient: Gradient {
            GradientStop { id: buttonGradient; position: 0.0; color: "yellow" }
            GradientStop { position: 1.0; color: Qt.darker(buttonGradient.color, 2.0) }
        }

        onPressed: { game.closeAbout(); }
    }

    states: [
        State {
            name: "visible"
        },
        State {
            name: "away"
            PropertyChanges {
                target: aboutPage
                scale: 0
            }
        }
    ]

    transitions: [
        Transition {
            from: "visible"
            to: "away"
            NumberAnimation { target: aboutPage; property: "scale"; duration: 300 }
        },
        Transition {
            from: "away"
            to: "visible"
            NumberAnimation { target: aboutPage; property: "scale"; duration: 300 }
        }

    ]

}
