import Qt 4.7

Rectangle {
    id: helpPage
    width: 100
    height: 62

    gradient: Gradient {
        GradientStop { id: startGradient; position: 0.0; color: "#69D20B" }
        GradientStop { position: 1.0; color: Qt.darker(startGradient.color, 2.0) }
    }

    opacity: 0.8
    smooth: true


    Text {
        id: titleText
        anchors.horizontalCenter: parent.horizontalCenter
        y: 20
        text: "Game Rules"
        font.pointSize: 30
    }

    Text {
        id: rulesText
        anchors.horizontalCenter: parent.horizontalCenter
        y: titleText.y + titleText.height + 30
        width: parent.width - 100
        font.pointSize: 15
        text: "This is traditional memory game. The purpose is to find a pair for each card on the table. Avoid flipping wrong cards. Each time you flip a wrong card the mistake count is increased. You can flip cards by touching them."

        wrapMode: Text.WordWrap
    }


    Button {
        id: backButton
        text: "Back"
        anchors.horizontalCenter: parent.horizontalCenter
        y: parent.height - 30 - height
        width: 200
        height: 100
        gradient: Gradient {
            GradientStop { id: buttonGradient; position: 0.0; color: "yellow" }
            GradientStop { position: 1.0; color: Qt.darker(buttonGradient.color, 2.0) }
        }

        onPressed: { game.closeHelp(); }
    }

    states: [
        State {
            name: "visible"
        },
        State {
            name: "away"
            PropertyChanges {
                target: helpPage
                scale: 0
            }
        }
    ]

    transitions: [
        Transition {
            from: "visible"
            to: "away"
            NumberAnimation { target: helpPage; property: "scale"; duration: 300 }
        },
        Transition {
            from: "away"
            to: "visible"
            NumberAnimation { target: helpPage; property: "scale"; duration: 300 }
        }

    ]

}
