import Qt 4.7


Item {
    id: container
    width: 400
    height: 640
    anchors.horizontalCenter: parent.horizontalCenter
    y: parent.height / 2 - height / 2

    state: "away"

    Rectangle {
        width: parent.width
        height: parent.height
        anchors.fill: parent
        gradient: Gradient {
            GradientStop { id: startGradient; position: 0.0; color: "#69D20B" }
            GradientStop { position: 1.0; color: Qt.darker(startGradient.color, 2.0) }
        }
        opacity: 0.8
        radius: 20
        smooth: true


        Column {
            id: textColumn
            anchors.centerIn: parent
            spacing: 20

            Text {
                id: completionText
                color: "black"
                anchors.horizontalCenter: parent.horizontalCenter
                font.italic: true
                font.pointSize: 20
                visible: false
            }

            Text {
                id: mistakeCountText
                text: "Number of mistakes: " + game.fails
                color: "black"
                anchors.horizontalCenter: parent.horizontalCenter
                font.italic: true
                font.pointSize: 20
                visible: false

            }
            Button {
                id: newGameButton
                width: 200
                height: 100
                anchors.horizontalCenter: parent.horizontalCenter
                text: "New game"
                gradient: Gradient {
                    GradientStop { id: buttonGradient; position: 0.0; color: "yellow" }
                    GradientStop { position: 1.0; color: Qt.darker(buttonGradient.color, 2.0) }
                }

                onPressed: game.startNewGame();
            }

            Button {
                id: helpButton
                width: 200
                height: 100
                anchors.horizontalCenter: parent.horizontalCenter
                text: "Help"
                gradient: newGameButton.gradient

                onPressed: game.showHelp();
            }

            Button {
                id: aboutButton
                width: 200
                height: 100
                anchors.horizontalCenter: parent.horizontalCenter
                text: "About"
                gradient: newGameButton.gradient
                onPressed:  game.showAbout();
            }

            Button {
                id: exitButton
                width: 200
                height: 100
                anchors.horizontalCenter: parent.horizontalCenter
                text: "Exit"
                gradient: newGameButton.gradient
                onPressed: game.exit();
            }

        }

    }

    states: [
        State {
            name: "away"
            PropertyChanges {
                target: container
                y: game.height + 30
            }
        }
    ]

    transitions: [
        Transition {
            PropertyAnimation { property: "y"; duration: 700; easing.type: Easing.OutElastic; }
        }
    ]

    function setCompletionStatus( finished ) {
        if ( true == finished ) {
            completionText.text = "Game completed!";
        }
        else
        {
            completionText.text = "Game terminated";
        }

        completionText.visible = true;
        mistakeCountText.visible = finished;
    }       


}
