import Qt 4.7

Item {
    id: container
    width: game.width - 30
    height: 70
    x: (game.width - width) / 2
    y: 15

    Behavior on x { PropertyAnimation { duration: 1000; easing.type: Easing.OutBounce } }

    Rectangle {
        anchors.fill: parent
//        color: "green"
        radius: 35
        gradient: Gradient {
            GradientStop { id: startGradient; position: 0.0; color: "#69D20B" }
            GradientStop { position: 1.0; color: Qt.darker(startGradient.color, 2.0) }
        }
        smooth: true
        opacity: 0.8

        Button {
            anchors.verticalCenter: parent.verticalCenter
            x: parent.width - width - 50
            width: 100
            height: 50
            text: "End game"
            textColor: "black"
            font.pointSize: 12

            gradient: Gradient {
                GradientStop { id: buttonGradient; position: 0.0; color: "yellow" }
                GradientStop { position: 1.0; color: Qt.darker(buttonGradient.color, 2.0) }
            }

            onPressed: { game.abandonGame() }
        }

        Text {
            id: tries
            anchors.verticalCenter: parent.verticalCenter
            x: 50
            text: "Mistakes: " + game.fails
            font.italic: true
        }

    }



    states: [
        State {
            name: "away"
            when: !game.running
            PropertyChanges {
                target: container
                x: -800
            }
        }
    ]

}

