var images = new Array("bird.jpg", "bird2.jpg", "butterfly1.jpg", "cat.jpg", "chicken.jpg", "cow.jpg", "cow2.jpg",
                       "cow3.jpg", "dog.jpg", "giraffe.jpg", "goat.jpg", "insect1.jpg", "ladybird.jpg", "parrot.jpg",
                       "reptile.jpg", "seal.jpg", "sheep.jpg", "shell.jpg", "swan.jpg", "turtle.jpg");

var flippedCard1 = null;
var flippedCard2 = null;
var flippedCardCount = 0;
var waitingToFlipBack = false;

function showAbout()
{
    console.log("show about");
    scorePanel.state = "away";
    aboutPage.visible = true;
    aboutPage.state = "visible";
}

function showHelp()
{
    scorePanel.state = "away";
    helpPage.visible = true;
    helpPage.state = "visible";
}

function showMainPanel()
{
    aboutPage.visible = false;
    helpPage.visible = false;
    aboutPage.state = "away";
    helpPage.state = "away";
    scorePanel.state = "";
}


function startNewGame()
{
    console.log("new game");    
    game.fails = 0;
    aboutPage.state = "away";
    scorePanel.state = "away";
    flippedCard1 = null;
    flippedCard2 = null;
    flippedCardCount = 0;
    waitingToFlipBack = false;

    generateCards();
    game.running = true;
    statusBarAnim.start();
}


function generateCards()
{
    console.log(imageGrid.rows);
    console.log(imageGrid.children);
    console.log(imageGrid.children.length);
    console.log(imageGrid.children[0]);

    var imageArray = images.concat(images);

    var cards = imageGrid.rows * imageGrid.columns;
    for (var i = 0; i < cards; i++)
    {

        imageGrid.children[i].image = getImage(imageArray);
        imageGrid.children[i].flipped = false;
    }
}


function getImage(imageArray)
{
    console.log("Array length: " + imageArray.length)
    var rand = Math.random();

    var indexDec = rand * imageArray.length
    var index = Math.floor(indexDec);

    console.log("random image index: " + index);

    var image = "images/" + imageArray[index];
    console.log("image name: " + image);

    // Remove the selected image from the array.
    imageArray.splice(index, 1);

    return image
}

function cardClicked(card)
{
    console.log(flippedCard1);
    console.log(flippedCard2);

    if (card.flipped || waitingToFlipBack == true)
        return;

    card.flipped = !card.flipped;

    if (flippedCard1 == null)
    {
        console.log("first card flipped");
        flippedCard1 = card;
        return;
    }

    if (card.image == flippedCard1.image)
    {
        console.log("correct card flipped");

        flippedCardCount += 2;
        flippedCard1 = null;
        flippedCard2 = null;

        if (flippedCardCount == game.cardCount)
        {
            endGame();
        }
    }
    else
    {
        console.log("wrong card flipped");
        flippedCard2 = card;
        waitingToFlipBack = true;
        flipBackTimer.start();
        game.fails += 1;
    }
}

function returnFlippedCards()
{
    console.log("returning flipped cards");

    waitingToFlipBack = false;

    flippedCard1.flipped = false;
    flippedCard2.flipped = false;

    flippedCard1 = null;
    flippedCard2 = null;
}

function endGame()
{
    scorePanel.setCompletionStatus(true);
    endGameTimer.start();
}

function abandonGame()
{
    flipBackTimer.stop();
    waitingToFlipBack = false;

    flipAllCards();
    scorePanel.setCompletionStatus(false);
    endGameTimer.start();
}

function flipAllCards()
{
    var cards = imageGrid.rows * imageGrid.columns;
    for (var i = 0; i < cards; i++)
    {
        imageGrid.children[i].flipped = true;
    }
}

